

	/*
	 * Code to convert a user's requested (RA, Dec) position to the
	 * units the camera understands.
	 *
	 * MWR 9/16/2001
	 */

	/* the Hour Angle of the RA Home position: degrees West of the meridian */
#define HA_OF_HOME       -17.4
	/* 
	 * rate at which RA drive slews in "ff" and "rew" modes: 
	 *    units are degrees per second
	 */
#define RA_SLEW_RATE       0.151

	/* the Declination of Dec Home position: degrees North of equator */
#define DEC_OF_HOME       12.0
	/* number of degrees per step of Dec axis motion */
#define DEC_STEP_SIZE      0.065


	/* limits for requested position in Hour Angle: degrees West of meridian */
#define HA_LIMIT_MIN     -16.0
#define HA_LIMIT_MAX      16.0
	/* limits for requested position in Dec: degrees North of equator */
#define DEC_LIMIT_MIN    -20.0
#define DEC_LIMIT_MAX     50.0


	/* return codes from the "goto_radec" function */
#define RADEC_OK           0        /* no problems */
#define RADEC_ERROR        1        /* position was within valid ranges, */
                                    /*   but error occured while moving */
#define RADEC_INVALID      2        /* position outside valid ranges */



