
#include <stdlib.h>
#include "llog.h"

/* This "main" is for unit test.  Change the "0" to a "1" to build  */
/* a runnable program                                               */


int main()
{    
    Llog(LL_ERROR,      "this is an error msg \n");
    Llog(LL_WARNING,    "this is an waning msg\n");
    Llog(LL_VERBOSE,    "this is an verbose msg\n");
    Llog(LL_DEBUG,      "this is an debug msg\n");
    
    Llog_setlvl(LL_DEBUG);
    Llog(LL_ERROR,      "this is an error msg \n");
    Llog(LL_WARNING,    "this is an waning msg\n");
    Llog(LL_VERBOSE,    "this is an verbose msg\n");
    Llog(LL_DEBUG,      "this is an debug msg\n");
    
    Llog_setprefix("programname");
    Llog(LL_ERROR,      "this is an error msg   with prefix\n");
    Llog(LL_WARNING,    "this is an waning msg  with prefix\n");
    Llog(LL_VERBOSE,    "this is an verbose msg with prefix\n");
    Llog(LL_DEBUG,      "this is an debug msg   with prefix\n");

    Llog_syslog();
    
    Llog_timestamp_UTC();
    Llog(LL_ERROR,      "should have a UTC timestamp\n");
    
    Llog_timestamp_local();
    Llog(LL_ERROR,      "should have a local timestamp\n");
    
    /* Reset defaults */
    Llog_close();
    Llog_setlogfile("test.log");
    Llog_setlvl(LL_DEBUG);
    Llog_debug("I can count %d, %d, %d\n", 1, 2, 3);
    Llog_error("I can't count %d, %d, %d\n", 1, 4, 3);
    
    
    /* Reset defaults */
    Llog_close();
    Llog_setlvl(LL_DEBUG);
    Llog_debug("Asserts follow\n");
    LLOG_ASSERT( 1 );
    LLOG_ASSERT( 0 );
    LLOG_ASSERT( 4 == 5 );
    
    Llog_timestamp_local();
    LLOG_ASSERT( 1 );
    LLOG_ASSERT( 0 );
    LLOG_ASSERT( 4 == 5 );
    
    Llog_setprefix("testprog");
    LLOG_ASSERT( 1 );
    LLOG_ASSERT( 0 );
    LLOG_ASSERT( 4 == 5 );
    
    Llog_syslog();
    LLOG_ASSERT( 1 );
    LLOG_ASSERT( 0 );
    LLOG_ASSERT( 4 == 5 );
    
    Llog_close();
    
    exit(0);
}
